Support » Fixing WordPress » Feeds Don’t Validate After 1.5.1 Upgrade

  • Okay, so I ran the fix to see the feeds – that worked. I can see the feeds when I click on the link.

    BUT – they no longer validate. I’ve tried multiple times at http://www.feedvalidator.org – and no luck.

    My feeds USED to validate no problem – now this comes back from feedvalidator: Server returned HTTP Error 403: Forbidden

    Any ideas what is going on and how I can fix it soon?

Viewing 15 replies - 1 through 15 (of 33 total)
  • Anyone?

    Moderator James Huff

    (@macmanx)

    Volunteer Moderator 🚀

    URL please…

    nickm:

    Create a new post and try and validate again. If it doesn’t return the 403, that means the bug is still existent and will reappear after 24 hours of no posts (or midnight) I forget which. If you still get the 403 its another issue.

    I upgraded to 1.5.1 and have no problems with my feeds after applying this fix. How did you patch yours?

    Both sites have had new posts since doing the 1.5.1 and the patch. The patch I used with the same as yours.

    Does your validate? I can see the RSS if I go to the /feeds/ on either of them, but the validator just won’t say it’s valid.

    Everyone else’s feeds are validating?

    Moderator James Huff

    (@macmanx)

    Volunteer Moderator 🚀

    Mine are. Try replacing your copy of wp-blog-header.php with revision 2600 of wp-blog-header.php: http://trac.wordpress.org/file/trunk/wp-blog-header.php?rev=2600

    I have the same freaking problem now! Actually all I did is just edited some post and a comment, then the feeds appear, but now they are still up, however the validator gives me Server returned HTTP Error 304: Not Modified error with 2.0, 0.92, atom and 1.0 feeds.
    what should I do with them? Which patch do I need?
    thx!

    I found this http://mosquito.wordpress.org/view.php?id=1323 but how do you work this? I mean there are 3 files there, and I have no clue what to do with them.
    Thanks again.
    erik

    Moderator James Huff

    (@macmanx)

    Volunteer Moderator 🚀

    Replace your copy of wp-blog-header.php with revision 2600 of wp-blog-header.php: http://trac.wordpress.org/file/trunk/wp-blog-header.php?rev=2600

    Works very well, I replaced it already. 😀

    whooami

    (@whooami)

    Member

    ah the irony 🙂
    1. feeds broke
    2. I fixed the 304 error.
    3. feeds fixed
    4. In another thread, someone said something about going into options/reading and clicking update (stupid me, I did that, NOT that i would ever want to click that button normally or anything)
    5. feeds broke, wont validate:
    XML parsing error: <unknown>:2:0: xml declaration not at start of external entity

    there are a gazillion feed related threads. I think ive tried every suggestion in every thread, just a rant, not a cry for help. It is irritating though, I have to say.

    6. on second glance, it appears some feeds work and some dont , gotta love that!

    Hmmm, it appears I’m experiencing a related problem. I can’t verify that it has to do with upgrading to 1.5.1 as I don’t usually check these things (note to self: check these things).

    The problem I’m having is that I merely get a blank page when I click on “Subscribe to the comments via RSS Feed” on my posts. Same thing when I click on “Entries” from my home page. No error message is given, just a blank page.

    So am I suffering from something else or will the patch mentioned above clear things up?

    Replaced the files with the http://trac.wordpress.org/file/trunk/wp-blog-header.php?rev=2600 replacement – nope – still don’t validate.

    whooami

    (@whooami)

    Member

    well mine are fixed — honestly I have no clue, the mysterious feeds.

Viewing 15 replies - 1 through 15 (of 33 total)
  • The topic ‘Feeds Don’t Validate After 1.5.1 Upgrade’ is closed to new replies.